//아두이노 화분돌봄이
#include <Wire.h>
#include <hd44780.h>
#include <hd44780ioClass/hd44780_I2Cexp.h>

//LCD 객체 및 LED 변수 선언
hd44780_I2Cexp lcd;
int green = 7, yellow = 8;
int sensor = A0;

void setup() {
  Serial.begin(9600);
  //LCD 통신 사용
  lcd.begin(16,2);
  //LED 핀모드 설정
  pinMode(green, OUTPUT);
  pinMode(yellow, OUTPUT);
}

void loop() {
  //map()함수를 이용하여 토양수분센서 값 변환
  int humidity = map(analogRead(sensor), 0, 1023, 100, 0);
  
  //시리얼모니터에 수분량 출력
  Serial.print("Humidity : ");
  Serial.print(humidity);
  Serial.print("%");

  //LCD에 수분량 출력
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Humidity : ");
  lcd.print(humidity);
  lcd.print("%");

  //토양의 수분량에 따라서 LED 및 LCD 문구 변경
  lcd.setCursor(0, 1);
  if(humidity > 35){
    digitalWrite(green, HIGH);
    digitalWrite(yellow, LOW);
    lcd.print("I'm OK!");
  }
  else{
    digitalWrite(green, LOW);
    digitalWrite(yellow, HIGH);
    lcd.print("Give Me Water!");
  }
  delay(500);
}
